Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui
Class AbstractATestUiModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.ui.DefaultUiModule
              org.eclipse.amp.amf.testing.ui.AbstractATestUiModule

All Implemented Interfaces:
  com.google.inject.Module

Direct Known Subclasses:
  ATestUiModule

    public abstract class AbstractATestUiModule

extends org.eclipse.xtext.ui.DefaultUiModule

Manual modifications go to {org.eclipse.amp.amf.testing.ui.ATestUiModule}

Constructor Summary
`AbstractATestUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)`

Method Summary
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory>` | `bindContentAssistContext$Factory()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser>` | `bindIContentAssistParser()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.actions.IContentOutlineNodeAdapterFactory>` | `bindIContentOutlineNodeAdapterFactory()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider>` | `bindIContentProposalProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.IDamagerRepairer>` | `bindIDamagerRepairer()`
`java.lang.Class<? extends org.eclipse.jface.viewers.ILabelProvider>` | `bindILabelProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper>` | `bindIProposalConflictHelper()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.transformer.ISemanticModelTransformer>` | `bindISemanticModelTransformer()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider>` | `bindIssueResolutionProvider()`
`java.lang.Class<? extends org.eclipse.jface.text.rules.ITokenScanner>` | `bindITokenScanner()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback>` | `bindIXtextEditorCallback()`
`void` | `configureContentAssistLexer(com.google.inject.Binder binder)`
`void` | `configureContentAssistLexerProvider(com.google.inject.Binder binder)`
`void` | `configureHighlightingLexer(com.google.inject.Binder binder)`
`void` | `configureHighlightingTokenDefProvider(com.google.inject.Binder binder)`
`void` | `configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)`
`void` | `configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)`
`com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState>` | `provideIAllContainersState()`

Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule
`bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindIActionBarContributor, bindIAllContainersState$Provider, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlineNodeComparer, bindIContentOutlinePage, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageHelper, bindIIndentationInformation, bindIOutlineTreeProvider, bindIPreferenceStore, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureLanguageSpecificURIEditorOpener, configureOutlineLabelProvider, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`getBindings`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractATestUiModule

    public AbstractATestUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)

Method Detail

### provideIAllContainersState

    public com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState> provideIAllContainersState()

### bindITokenScanner

    public java.lang.Class<? extends org.eclipse.jface.text.rules.ITokenScanner> bindITokenScanner()

### bindIProposalConflictHelper

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper> bindIProposalConflictHelper()

### bindIDamagerRepairer

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.IDamagerRepairer> bindIDamagerRepairer()

### configureHighlightingLexer

    public void configureHighlightingLexer(com.google.inject.Binder binder)

### configureHighlightingTokenDefProvider

    public void configureHighlightingTokenDefProvider(com.google.inject.Binder binder)

### bindILabelProvider

    public java.lang.Class<? extends org.eclipse.jface.viewers.ILabelProvider> bindILabelProvider()

  Overrides:
    `bindILabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

### configureResourceUIServiceLabelProvider

    public void configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)

  Overrides:
    `configureResourceUIServiceLabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

### bindISemanticModelTransformer

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.transformer.ISemanticModelTransformer> bindISemanticModelTransformer()

  Overrides:
    `bindISemanticModelTransformer` in class `org.eclipse.xtext.ui.DefaultUiModule`

### bindIContentOutlineNodeAdapterFactory

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.actions.IContentOutlineNodeAdapterFactory> bindIContentOutlineNodeAdapterFactory()

### bindIContentProposalProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider> bindIContentProposalProvider()

### bindContentAssistContext$Factory

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory> bindContentAssistContext$Factory()

### bindIContentAssistParser

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser> bindIContentAssistParser()

### configureContentAssistLexerProvider

    public void configureContentAssistLexerProvider(com.google.inject.Binder binder)

### configureContentAssistLexer

    public void configureContentAssistLexer(com.google.inject.Binder binder)

### configureIResourceDescriptionsBuilderScope

    public void configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)

### bindIXtextEditorCallback

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback> bindIXtextEditorCallback()

### bindIssueResolutionProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider> bindIssueResolutionProvider()

  Overrides:
    `bindIssueResolutionProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD